<template lang="pug">
.game
  section.game__start(v-if="!started && !finished")
    h2 Привет! Добро пожаловать в игру! Сейчас тебе будут задавать вопросы, а ты должен выбрать правильный предмет.
    Button(
      type="secondary"
      @click="started = true"
    ) Начать
    br
    br
    br
    br
    br
    br
    br
    br
    br
    br
    br
    br
    br
    br
    br
    br
    br
    br
  section(v-if="started")
    .game__task
      h1.game__task-name Задание {{ taskNum }}
      div.game__task-desc {{ taskText }}
    .game__task.game_error(v-if="error")
      h1.game__task-error Неправильно
      div.game__task-desc Подумай еще!
    img.game__bg(src="@/assets/game/bg.png")
    div.game__item.game__item-first(@click="nextTask(1)")
    div.game__item.game__item-second(@click="nextTask(2)")
    div.game__item.game__item-third(@click="nextTask(3)")
  section.game__start(v-if="finished")
    h2 Поздравляю! Ты успешно прошел игру!
    Button(
      type="main"
    ) Оценить игру
    br
    br
    br
    br
    br
    br
    br
    br
    br
    br
    br
    br
    br
    br
    br
    br
    br
    br
</template>

<script>
import Button from '@/components/parts/Button.vue'

export default {
  name: 'Game',
  components: {
    Button
  },
  data() {
    return {
      started: false,
      finished: false,
      taskNum: 1,
      error: false,
      taskText: 'Тебе нужно помыть ручки, нажми предмет, который ты будешь использовать?'
    }
  },
  methods: {
    nextTask: function(clicked) {
      if (clicked === this.taskNum) {
        this.error = false
        if (this.taskNum === 1) {
          this.taskNum = 2
          this.taskText = 'Выбери, где ты будешь мыть тело?'
        } else if (this.taskNum === 2) {
          this.taskNum = 3
          this.taskText = 'Выбери, куда нужно ходить в туалет?'
        } else if (this.taskNum === 3) {
          this.finished = true
          this.started = false
        }
      }
      else this.error = true
    }
  }
}
</script>

<style lang="stylus" scoped>
@import '~@/stylus/mixins.styl'

.game
  margin-top: 30px
  position: relative
  &__start
    text-align: center
  &__task
    margin-bottom: 20px
    &-name
      padding: 5px 10px
      color: lightColor
      font-weight: bold
      border-radius: 5px
      gradient()
      display: inline
      margin-right: 10px
    &-desc
      font-size: 1.2em
      margin-top: 10px
      display: inline

  &__task-error
    background: linear-gradient(to top, #ea1d27 0%, #9e061b 100%) !important
    padding: 5px 10px
    color: lightColor
    font-weight: bold
    border-radius: 5px
    gradient()
    display: inline
    margin-right: 10px

  &__item
    position: absolute
    border-radius: 10px
    padding: 5px
    transition: all 0.2s
    &:hover
      background-color: rgba(0,0,0,0.3)

    &.game__item-first
      height: 100px
      width: 260px
      top: 560px
      left: 450px

    &.game__item-second
      height: 580px
      width: 360px;
      top: 440px;
      left: 0px;

    &.game__item-third
      height: 460px
      width: 260px
      top: 570px
      left: 910px
</style>
